{% set CodiceModulo = "VAR_ISCR_ASILO" %}
{% set Urn = "document:c_l483:nido.infanzia;variazione;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di variazione della fascia oraria di frequenza del nido d'infanzia"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|16/05/2022"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di variazione della fascia oraria di frequenza del nido d'infanzia {% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="2">
 {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - variazione fascia oraria frequenza nido infanzia'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Domanda di variazione della fascia oraria di frequenza del nido d'infanzia
</h1>

{{ utils_scolastici.anno_scolastico(intestazione = "anno educativo") }}

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", intestazione="Il sottoscritto genitore, tutore o affidatario", visibility_intestazione="visibility:visibility", visibility_residenza="visibility:visibility", visibility_mail="mail_ordinaria", cf_obbligatorio="true", pec_obbligatoria ="false", mailordinaria_obbligatoria="false", visibility_domicilio="display:none",visibility_datanascita="visibility:visibility"  )}}

<input id="AventeTitolo1_DatiPersonaObbligatori" name="AventeTitolo1_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="AventeTitolo1_Titolo" name="AventeTitolo1_Titolo" type="hidden" value="Richiedente"/>
<input id="AventeTitolo1_Ruolo" name="AventeTitolo1_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="AventeTitolo1", intestazione="del bambino/a", visibility_intestazione="visibility:visibility", visibility_residenza="display:none", visibility_mail="display:none", cf_obbligatorio="true", pec_obbligatoria ="false", mailordinaria_obbligatoria="false", visibility_domicilio="display:none",visibility_datanascita="visibility:visibility"  )}}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
            frequentante il seguente nido d’infanzia
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Nido d'infanzia
        </p>
      </td>
    </tr>
      {% set testi = [
           '“Cocolâr” Via Alba, 27',
           '“Dire, fare, giocare” Via della Roggia, 48',
           '“Fantasia dei Bimbi” Via Diaz, 20',
           '“Sacheburache” Via Baldasseria Media, 21',
           '“Casetta a colori” Via Rivis, 19/A',
           '“Papa Giovanni XXIII” Via Cividale, 650',
           '“Erminia Linda” Via Mistruzzi, 19',
           '“C’era una volta” Via delle Scuole, 7',
           '“Ghirigoro” Via Caprera, 28',
           '“Girotondo” Via Volturno, 44',
           '“Rosa e Azzurro” Via Mantova, 13',
           '“Filippo Renati” Via San Valentino, 23/25',
           '“Monsignor D. Cattarossi” Via G. Stuparich, 7/A'
     ]%}
     {% for testo in testi %}
       <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_Nido" name="Tassonomia_Nido" label="Nido d'infanzia" mandatory_enabled="true"></div>{% endif %}
           <input id="Tassonomia_Nido{{ loop.index }}" name="Tassonomia_Nido" type="radio" value="{{ loop.index }}" />
         </td>
         <td><p>{{ testo|safe }}</p></td>
       </tr>
     {% endfor %}
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          con la seguente fascia oraria
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Fascia oraria
        </p>
      </td>
    </tr>
      {% set testi = [
           "minima (dalle 7:30 alle 13:30)",
           "media (dalle 7.30 alle 16:00)",
           "massima (dalle 7:30 alle 17:30)" 
     ]%}
     {% for testo in testi %}
       <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_Fascia" name="Tassonomia_Fascia" label="Fascia oraria" mandatory_enabled="true"></div>{% endif %}
           <input id="Tassonomia_Fascia{{ loop.index }}" name="Tassonomia_Fascia" type="radio" value="{{ loop.index }}" />
         </td>
         <td><p>{{ testo|safe }}</p></td>
       </tr>
     {% endfor %}
  </tbody>
</table>

<globo_salto_pagina></globo_salto_pagina>

<h3 class="Modulo">
  CHIEDE
</h3>

<p class="Modulo">
    di variare l’attuale orario di frequenza con la seguente fascia
</p>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
      {% set testi = [
           "minima (dalle 7:30 alle 13:30)",
           "media (dalle 7.30 alle 16:00)",
           "massima (dalle 7:30 alle 17:30)" 
     ]%}
     {% for testo in testi %}
       <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_VariazioneFascia" name="Tassonomia_VariazioneFascia" label="Variazione della fascia oraria" mandatory_enabled="true"></div>{% endif %}
           <input id="Tassonomia_VariazioneFascia{{ loop.index }}" name="Tassonomia_VariazioneFascia" type="radio" value="{{ loop.index }}" />
         </td>
         <td><p>{{ testo|safe }}</p></td>
       </tr>
     {% endfor %}
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="4">
        <p class="Labeltabella">
            per il seguente periodo
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Mese di inizio
        </p>
      </td>
      <td style="width: 25%;">
        <p class="Labelcella">
            Anno di inizio
        </p>
      </td>
      <td style="width: 25%;">
        <p class="Labelcella">
            Mese di fine
        </p>
      </td>
      <td style="width: 25%;">
        <p class="Labelcella">
            Anno di fine
        </p>
      </td>
    </tr>
    <tr mandatory_enabled="true">
      <td>
        <input class="inputNormal" id="Parametri_MeseInizio" name="Parametri_MeseInizio" style="width: 100%;" label="Mese di inizio" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_AnnoInizio" name="Parametri_AnnoInizio" style="width: 100%;" label="Anno di inizio" format="number" maxlength="4" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_MeseFine" name="Parametri_MeseFine" style="width: 100%;" label="Mese di fine" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_AnnoFine" name="Parametri_AnnoFine" style="width: 100%;" label="Anno di fine" format="number" maxlength="4" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella">
            per i seguenti gravi e giustificati motivi
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="3">
        <p class="Labelcella">
          Motivi
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;" rowspan="3">
        <div id="Tassonomia_Motivi" name="Tassonomia_Motivi" label="Motivi" mandatory="true"></div>
        <input id="Tassonomia_Motivi1" name="Tassonomia_Motivi" type="radio" value="1" />
      </td>
      <td colspan="2">
        <p>
            lavorativi <span style="font-size: 70%;"><i>(indicare orario settimanale e sede di lavoro)</i></span>
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Madre
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Padre
        </p>
      </td>
    </tr>
    <tr mandatory_enabled="#Tassonomia_Motivi1.checked()">
      <td>
        <input class="inputNormal" id="Parametri_Madre" name="Parametri_Madre" style="width: 100%;" label="Madre" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Padre" name="Parametri_Padre" style="width: 100%;" label="Padre" />
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;" rowspan="3">
        <input id="Tassonomia_Motivi2" name="Tassonomia_Motivi" type="radio" value="2" />
      </td>
      <td colspan="2">
        <p>
            personali o familiari
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Specificare
        </p>
      </td>
    </tr>
    <tr mandatory_enabled="#Tassonomia_Motivi2.checked()">
      <td colspan="2">
        <input class="inputNormal" id="Parametri_SpecificareMotiviPersonali" name="Parametri_SpecificareMotiviPersonali" style="width: 100%;" label="Specificare motivi personali o familiari" />
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;">
        <input id="Tassonomia_Motivi3" name="Tassonomia_Motivi" type="radio" value="3" />
      </td>
      <td colspan="2">
        <p>
            altro <span style="font-size: 70%;">(specificare)</span> <input class="inputNormal" id="Parametri_AltroMotivo" name="Parametri_AltroMotivo" style="width: 80%;" label="Altro motivo" mandatory_enabled="#Tassonomia_Motivi3.checked()" />
        </p>
      </td>
    </tr>
  </tbody>
</table>

{{ utils.Dichiara_445() }}

{{ utils_scolastici.dichiarazione_miur() }}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazioneridotta">
   <td>
    <p class="Labelcella">
     Eventuali annotazioni
    </p>
   </td>
  </tr>
  <tr>
   <td>
    <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width:100%;height:5cm;"></textarea>
   </td>
  </tr>
 </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>

<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

{{ utils.firma_hidden() }}

<br/>

<p class="Modulo">
 <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
